Difference between revisions of "Arch Rebar BentShape/fr"

From FreeCAD Documentation
Jump to: navigation, search
m
 
(41 intermediate revisions by 5 users not shown)
Line 1: Line 1:
{{GuiCommandAddon|Name=Arch Rebar BentShape|Name/fr=Armature cintrée|Workbenches=[[Arch Module/fr|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup/fr|Armature en étrier]]}}
+
<languages/>
 +
{{docnav/fr|[[Arch_Rebar_LShape/fr|Armature en L Arch]]|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_LShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Stirrup.svg}}
 +
 
 +
{{GuiCommand/fr
 +
|Name=Arch Rebar BentShape
 +
|Name/fr=Armature cintrée
 +
|MenuLocation=Arch → Rebar tools
 +
|Workbenches=[[Arch Workbench/fr|Atelier architecture]], [[BIM Workbench/fr|BIM]]
 +
|SeeAlso=[[Arch_Rebar_Stirrup/fr|Armature en étrier]], [[Arch Rebar/fr|Armature personnalisée]]
 +
|Version=0.17
 +
}}
  
 
==Description==
 
==Description==
  
L'outil {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Armature cintrée}} permet à l'utilisateur de créer une armature cintrée dans l'élément structurel.
+
L'outil [[Arch Rebar BentShape/fr|Armature cintrée]] permet à l'utilisateur de créer un ensemble de barres d'armature pliées à l'intérieur d'un objet [[Arch Structure/fr|Structure]].
  
[[Image:BentShapeRebar.png|800px]]
+
Cette commande fait partie de l' [[Reinforcement Addon/fr|Addon Barres de renfort (armatures)]] que vous pouvez installer avec l'[[Addon Manager/fr|Addon manager]] via le menu {{MenuCommand | Tools → Addon Manager → Reinforcement}}.
 +
 
 +
[[Image:Arch_Rebar_BentShape_example.png|400px]]
 +
{{Caption|Deux jeux de barres de ferraillage pliées à l'intérieur d'une [[Arch Structure/fr|Structure]]}}
  
 
==Comment faire==
 
==Comment faire==
  
# Créer un élément [[Arch Structure/fr|structure]]
+
# Sélectionnez n’importe quelle face d’un objet {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/fr|Structure]]}}.
# Sélectionnez une face de la structure
+
# Ensuite, sélectionnez {{Button|[[Image:Arch_Rebar_BentShape.svg|16px]] [[Arch Rebar BentShape/fr|Armature cintrée]]}} à partir des outils de barres d'armature.
# Puis sélectionnez {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Armature cintrée}} à partir des outils d'armature
+
# Un panneau de tâches apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
# Un panneau de tâches apparaîtra sur le côté gauche de l'écran comme indiqué ci-dessous [[Image:BentShapeDialog.png|250px]]
+
# Sélectionnez l'orientation souhaitée.
# Sélectionnez l'orientation souhaitée
+
# Indiquez les entrées telles que  front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding et diameter of the rebar.
# Donner les entrées comme le capot avant, le capot latéral gauche, le capot latéral droit, le capot inférieur, le capot supérieur, la longueur d'ancrage, l'angle de cintrage, l'arrondi et le diamètre des barres d'armature
+
# Sélectionnez le mode de distribution soit amount ou spacing.
# Sélectionnez le mode de distribution, soit la quantité ou l'espacement
+
# Si spacing est sélectionné, un utilisateur peut également opter pour [[Custom_Spacing/fr|espacement personnalisé]].
# Si l'espacement est sélectionné, un utilisateur peut également choisir [[Custom_Spacing|espacement personnalisé]]
+
# Choisir la face sélectionnée est utilisé pour vérifier ou modifier la face pour la distribution des barres.
# Le choix de la face sélectionnée est utilisé pour vérifier ou changer la face pour la distribution des barres d'armature
+
# Cliquez sur {{Button|OK}} ou {{Button|Apply}} pour générer les barres.
# Cliquez sur {{KEY|OK}} ou {{KEY|Appliquer}} pour générer l'armature
+
# Cliquez sur {{Button|Cancel}} pour quitter le panneau de tâches.
# Cliquez sur {{KEY|Annuler}} pour quitter le panneau des tâches
+
 
 +
[[Image:BentShapeDialog.png|250px]]
 +
{{Caption|Panneau de tâches pour l'outil Armature cintrée}}
  
 
==Propriétés==  
 
==Propriétés==  
  
* {{PropertyData/fr|Orientation}}: Il définit  l'orientation de la barre d'armature (comme fond, haut, droite et gauche).
+
* {{PropertyData/fr|Orientation}}: Il définit  l'orientation de l'armature (comme fond, haut, droite et gauche).
* {{PropertyData/fr|Front Cover}}: La distance entre les barres d'armature et la face sélectionnée.
+
* {{PropertyData/fr|Front Cover}}: La distance entre l'armature et la face sélectionnée.
* {{PropertyData/fr|Left Cover}}: La distance entre l'extrémité gauche de l'armature à la face gauche de la structure.
+
* {{PropertyData/fr|Left Cover}}: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
* {{PropertyData/fr|Right Cover}}: La distance entre l'extrémité droite de la barre d'armature et la face droite de la structure.
+
* {{PropertyData/fr|Right Cover}}: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
* {{PropertyData/fr|Bottom Cover}}: La distance entre les barres d'armature de la face inférieure de la structure.
+
* {{PropertyData/fr|Bottom Cover}}: La distance entre l'armature et la face inférieure de la structure.
* {{PropertyData/fr|Top Cover}}: La distance entre les barres d'armature de la face supérieure de la structure.
+
* {{PropertyData/fr|Top Cover}}: La distance entre l'armature et la face supérieure de la structure.
 
* {{PropertyData/fr|Anchor Length}}: Il s'agit de la longueur de la forme courbée de l'armature .
 
* {{PropertyData/fr|Anchor Length}}: Il s'agit de la longueur de la forme courbée de l'armature .
* {{PropertyData/fr|Bent Angle}}: Il définit l'angle dans la barre d'armature.
+
* {{PropertyData/fr|Bent Angle}}: Il définit l'angle de cintrage de l'armature.
 
* {{PropertyData/fr|Amount}}: La quantité de barres d'armature.
 
* {{PropertyData/fr|Amount}}: La quantité de barres d'armature.
 
* {{PropertyData/fr|Spacing}}: La distance entre les axes de chaque barre.
 
* {{PropertyData/fr|Spacing}}: La distance entre les axes de chaque barre.
  
 
==Script==
 
==Script==
 +
{{Emphasis|Voir aussi:}} [[Arch API/fr|Arch API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Scripts de Base]].
  
L'outil {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Armature cintrée}} peut être utilisé dans [[macros]] et depuis la console python en utilisant la fonction suivante:
+
L'outil Armature cintrée peut être utilisé dans une [[macros/fr|macro]] et à partir de la console [[Python/fr|Python]] à l'aide de la fonction suivante:
 +
{{Code|code=
 +
Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
 +
                          diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
 +
                          structure=None, facename=None)
 +
}}
 +
 
 +
* Crée un objet {{incode|Rebar}} à partir de la {{incode|structure}} donnée qui est une [[Arch Structure]] et {{incode|facename}} qui est une face de cette structure.
 +
** Si aucun {{incode|structure}} ni {{incode|facename}} n'est donné, la face sélectionnée par l'utilisateur sera entrée.
 +
* {{incode|f_cover}}, {{incode|b_cover}}, {{incode|l_cover}}, {{incode|r_cover}}, et {{incode|t_cover}} sont des distances de décalage internes pour les éléments d'armature avec respect des faces de la structure. Ce sont respectivement les décalages avant, inférieur, gauche, droit et supérieur.
 +
* {{incode|diameter}} est le diamètre des barres de renforcement à l'intérieur de la structure.
 +
* {{incode|rounding}} est le paramètre qui détermine le rayon de courbure des barres d'armature centrales.
 +
* {{incode|bentLength}} et {{incode|bentAngle}} définissent la longueur de la pointe des barres d'armature et l'angle de flexion à partir des barres centrales.
 +
* {{incode|amount_spacing_check}} s'il est {{incode|True}}, il créera autant de barres de ferraillage que celles données par {{incode|amount_spacing_value}}; s'il est {{incode|False}}, il créera des barres de renforcement séparées par la valeur numérique de {{incode|amount_spacing_value}}.
 +
* {{incode|amount_spacing_value}} spécifie le nombre de barres d'armature ou la valeur de la distance qui les sépare en fonction de {{incode|amount_spacing_check}}.
 +
* {{incode|orientation}} spécifie l'orientation de la barre. Il peut s'agir de {{incode|"Bottom"}}, {{incode|"Top"}}, {{incode|"Left"}}, ou {{incode|"Right"}}.
  
 +
=== Exemples ===
 
{{Code|code=
 
{{Code|code=
makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
+
import FreeCAD, Arch, BentShapeRebar
 +
 
 +
Structure = Arch.makeStructure(length=1000, width=1000, height=100)
 +
Structure.ViewObject.Transparency = 80
 +
FreeCAD.ActiveDocument.recompute()
 +
 
 +
Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
 +
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
 +
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)
 +
 
 +
Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
 +
                                          8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
 +
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)  
 
}}
 
}}
  
* L'armature cintrée a quatre orientations différentes:
+
=== Modifier la barre ===
** Bottom (fond)
 
** Top (haut)
 
** Right (droite)
 
** Left (gauche)
 
* Ajoute un objet barre de renforcement cintrée à l'objet structurel donné.
 
* Si aucun nom de Structure et Facename n'est donné, il prendra en entrée la face sélectionnée par l'utilisateur.
 
* Ici, l'argument CoverAlong a un type tuple.
 
* Renvoie le nouvel objet Armature.
 
  
Exemple:
+
Vous pouvez changer les propriétés de la barre d’armature avec la fonction suivante:
Créer une barre d'armature cintrée.
 
 
{{Code|code=
 
{{Code|code=
import Arch, BentShapeRebar
+
editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
+
                  diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
structure.ViewObject.Transparency = 80
+
                  structure=None, facename=None)
FreeCAD.ActiveDocument.recompute()
 
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")
 
 
}}
 
}}
  
Modification des propriétés des barres d'armature cintrée.
+
* {{incode|Rebar}} est un objet {{incode|BentShapeRebar}} créé précédemment.
 +
* Les autres paramètres sont les mêmes que ceux requis par la fonction {{incode|makeBentShapeRebar()}}.
 +
* {{incode|structure}} et {{incode|facename}} peuvent être omis afin que l'armature reste dans la structure d'origine.
 +
 
 
{{Code|code=
 
{{Code|code=
 
import BentShapeRebar
 
import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")
+
 
 +
BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
 +
                                  12, 20, 100, 155, 2, True, 6, "Top")
 +
 
 +
BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
 +
                                  12, 35, 100, 155, 2, True, 6, "Top")
 
}}
 
}}
 +
{{docnav/fr|[[Arch_Rebar_LShape/fr|Armature en L Arch]]|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar_LShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Stirrup.svg}}
 +
 +
{{Arch Tools navi/fr}}
  
 +
{{Userdocnavi/fr}}
  
{{clear}}
+
[[Category:Reinforcement/fr]]
<languages/>
 

Latest revision as of 11:31, 8 May 2019

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente: Arch Rebar LShape.svg Armature en L Arch
Page suivante: Armature en étrier Arch Rebar Stirrup.svg Arrow-right.svg

Arch Rebar BentShape.svg Armature cintrée

Emplacement du menu
Arch → Rebar tools
Ateliers
Atelier architecture, BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Armature en étrier, Armature personnalisée


Description

L'outil Armature cintrée permet à l'utilisateur de créer un ensemble de barres d'armature pliées à l'intérieur d'un objet Structure.

Cette commande fait partie de l' Addon Barres de renfort (armatures) que vous pouvez installer avec l'Addon manager via le menu Tools → Addon Manager → Reinforcement.

Arch Rebar BentShape example.png

Deux jeux de barres de ferraillage pliées à l'intérieur d'une Structure


Comment faire

  1. Sélectionnez n’importe quelle face d’un objet Arch Structure.svg Structure.
  2. Ensuite, sélectionnez Arch Rebar BentShape.svg Armature cintrée à partir des outils de barres d'armature.
  3. Un panneau de tâches apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Indiquez les entrées telles que front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding et diameter of the rebar.
  6. Sélectionnez le mode de distribution soit amount ou spacing.
  7. Si spacing est sélectionné, un utilisateur peut également opter pour espacement personnalisé.
  8. Choisir la face sélectionnée est utilisé pour vérifier ou modifier la face pour la distribution des barres.
  9. Cliquez sur OK ou Apply pour générer les barres.
  10. Cliquez sur Cancel pour quitter le panneau de tâches.

BentShapeDialog.png

Panneau de tâches pour l'outil Armature cintrée


Propriétés

  • DONNÉESOrientation: Il définit l'orientation de l'armature (comme fond, haut, droite et gauche).
  • DONNÉESFront Cover: La distance entre l'armature et la face sélectionnée.
  • DONNÉESLeft Cover: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
  • DONNÉESRight Cover: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
  • DONNÉESBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DONNÉESTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DONNÉESAnchor Length: Il s'agit de la longueur de la forme courbée de l'armature .
  • DONNÉESBent Angle: Il définit l'angle de cintrage de l'armature.
  • DONNÉESAmount: La quantité de barres d'armature.
  • DONNÉESSpacing: La distance entre les axes de chaque barre.

Script

Voir aussi: Arch API et FreeCAD Scripts de Base.

L'outil Armature cintrée peut être utilisé dans une macro et à partir de la console Python à l'aide de la fonction suivante:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • Crée un objet Rebar à partir de la structure donnée qui est une Arch Structure et facename qui est une face de cette structure.
    • Si aucun structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • f_cover, b_cover, l_cover, r_cover, et t_cover sont des distances de décalage internes pour les éléments d'armature avec respect des faces de la structure. Ce sont respectivement les décalages avant, inférieur, gauche, droit et supérieur.
  • diameter est le diamètre des barres de renforcement à l'intérieur de la structure.
  • rounding est le paramètre qui détermine le rayon de courbure des barres d'armature centrales.
  • bentLength et bentAngle définissent la longueur de la pointe des barres d'armature et l'angle de flexion à partir des barres centrales.
  • amount_spacing_check s'il est True, il créera autant de barres de ferraillage que celles données par amount_spacing_value; s'il est False, il créera des barres de renforcement séparées par la valeur numérique de amount_spacing_value.
  • amount_spacing_value spécifie le nombre de barres d'armature ou la valeur de la distance qui les sépare en fonction de amount_spacing_check.
  • orientation spécifie l'orientation de la barre. Il peut s'agir de "Bottom", "Top", "Left", ou "Right".

Exemples

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Modifier la barre

Vous pouvez changer les propriétés de la barre d’armature avec la fonction suivante:

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar est un objet BentShapeRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeBentShapeRebar().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")
Arrow-left.svg Page précédente: Arch Rebar LShape.svg Armature en L Arch
Page suivante: Armature en étrier Arch Rebar Stirrup.svg Arrow-right.svg